ALLEGRO_AUDIO_EVENT_TYPE(3)

NAME

ALLEGRO_AUDIO_EVENT_TYPE - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    enum ALLEGRO_AUDIO_EVENT_TYPE

DESCRIPTION

  ALLEGRO_EVENT_AUDIO_STREAM_FRAGMENT

Sent when a stream fragment is ready to be filled in. See al_get_audio_stream_fragment(3).

  ALLEGRO_EVENT_AUDIO_STREAM_FINISHED

Sent when a stream is finished.

  ALLEGRO_EVENT_AUDIO_RECORDER_FRAGMENT

Sent after a user-specified number of samples have been recorded. Convert this to ALLEGRO_AUDIO_RECORDER_EVENT(3) via al_get_audio_recorder_event(3).

You must always check the values for the buffer and samples as they are not guaranteed to be exactly what was originally specified.

SINCE

5.1.1

    [Unstable API]: The API may need a slight redesign.